package twisk;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;
import twisk.modele.MondeIG;
import twisk.vues.VueMenu;
import twisk.vues.VueMondeIG;
import twisk.vues.VueOutils;

public class MainTwisk extends Application {

    @Override
    public void start(Stage primaryStage) {
        try {
            // Création du modèle
            MondeIG monde = new MondeIG();

            // Création du conteneur principal
            BorderPane root = new BorderPane();

            // Création de la scène
            Scene scene = new Scene(root, 800, 600);

            // Création et placement de la vue du monde au centre
            VueMondeIG vueMonde = new VueMondeIG(monde);
            root.setCenter(vueMonde);

            // Création et placement du menu en haut
            VueMenu vueMenu = new VueMenu(monde, scene);
            root.setTop(vueMenu);

            // Création et placement de la vue des outils au sud
            VueOutils vueOutils = new VueOutils(monde);
            root.setBottom(vueOutils);

            // Chargement du fichier CSS par défaut
            String cssPath = getClass().getResource("/twisk/ressources/css/style.css").toExternalForm();
            scene.getStylesheets().add(cssPath);

            // Configuration de la fenêtre principale
            primaryStage.setTitle("TwiskIG");
            primaryStage.setScene(scene);
            primaryStage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        launch(args);
    }
}
