package twisk.modele;

/**
 * Classe représentant une courbe dans l'interface graphique
 */
public class CourbeIG extends ArcIG {
    private final int controlX1;
    private final int controlY1;
    private final int controlX2;
    private final int controlY2;

    /**
     * Constructeur
     * @param p1 premier point de contrôle
     * @param p2 deuxième point de contrôle
     * @param controlX1 coordonnée X du premier point de contrôle intermédiaire
     * @param controlY1 coordonnée Y du premier point de contrôle intermédiaire
     * @param controlX2 coordonnée X du deuxième point de contrôle intermédiaire
     * @param controlY2 coordonnée Y du deuxième point de contrôle intermédiaire
     */
    public CourbeIG(PointDeControleIG p1, PointDeControleIG p2,
                    int controlX1, int controlY1,
                    int controlX2, int controlY2) {
        super(p1, p2);
        this.controlX1 = controlX1;
        this.controlY1 = controlY1;
        this.controlX2 = controlX2;
        this.controlY2 = controlY2;
    }

    /**
     * Retourne la coordonnée X du premier point de contrôle intermédiaire
     * @return coordonnée X
     */
    public int getControlX1() {
        return controlX1;
    }

    /**
     * Retourne la coordonnée Y du premier point de contrôle intermédiaire
     * @return coordonnée Y
     */
    public int getControlY1() {
        return controlY1;
    }

    /**
     * Retourne la coordonnée X du deuxième point de contrôle intermédiaire
     * @return coordonnée X
     */
    public int getControlX2() {
        return controlX2;
    }

    /**
     * Retourne la coordonnée Y du deuxième point de contrôle intermédiaire
     * @return coordonnée Y
     */
    public int getControlY2() {
        return controlY2;
    }
}
