package twisk.test.modele;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import twisk.modele.ActiviteIG;
import twisk.modele.FabriqueIdentifiant;

import static org.junit.jupiter.api.Assertions.*;

class ActiviteIGTest {

    @BeforeEach
    void setUp() {
        FabriqueIdentifiant.getInstance().reset();
    }

    @Test
    void testConstructeur() {
        ActiviteIG activite = new ActiviteIG("Activite Test");

        assertEquals("Activite Test", activite.getNom(), "Le nom devrait être correctement initialisé");
        assertEquals("0", activite.getIdentifiant(), "L'identifiant devrait être 0");
        assertEquals(100, activite.getLargeur(), "La largeur par défaut devrait être 100");
        assertEquals(60, activite.getHauteur(), "La hauteur par défaut devrait être 60");

        // Vérifier que la position est dans les limites attendues
        assertTrue(activite.getPosX() >= 0 && activite.getPosX() <= 500, "La position X devrait être entre 0 et 500");
        assertTrue(activite.getPosY() >= 0 && activite.getPosY() <= 500, "La position Y devrait être entre 0 et 500");
    }

    @Test
    void testSetters() {
        ActiviteIG activite = new ActiviteIG("Activite Test");

        activite.setNom("Nouveau Nom");
        assertEquals("Nouveau Nom", activite.getNom(), "Le nom devrait être modifié");

        activite.setPosX(200);
        assertEquals(200, activite.getPosX(), "La position X devrait être modifiée");

        activite.setPosY(300);
        assertEquals(300, activite.getPosY(), "La position Y devrait être modifiée");

        activite.setLargeur(150);
        assertEquals(150, activite.getLargeur(), "La largeur devrait être modifiée");

        activite.setHauteur(80);
        assertEquals(80, activite.getHauteur(), "La hauteur devrait être modifiée");
    }
}
