package twisk.test.modele;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import twisk.modele.FabriqueIdentifiant;

import static org.junit.jupiter.api.Assertions.*;

class FabriqueIdentifiantTest {

    @BeforeEach
    void setUp() {
        FabriqueIdentifiant.getInstance().reset();
    }

    @Test
    void testGetInstance() {
        FabriqueIdentifiant instance1 = FabriqueIdentifiant.getInstance();
        FabriqueIdentifiant instance2 = FabriqueIdentifiant.getInstance();
        assertSame(instance1, instance2, "Les instances devraient être identiques (singleton)");
    }

    @Test
    void testGetIdentifiantUnique() {
        FabriqueIdentifiant fabrique = FabriqueIdentifiant.getInstance();
        String id1 = fabrique.getIdentifiantUnique();
        String id2 = fabrique.getIdentifiantUnique();

        assertNotEquals(id1, id2, "Les identifiants devraient être uniques");
        assertEquals("0", id1, "Premier identifiant devrait être 0");
        assertEquals("1", id2, "Deuxième identifiant devrait être 1");
    }
}
