package twisk.vues;

import javafx.scene.Group;
import javafx.scene.paint.Color;
import twisk.modele.ArcIG;
import twisk.modele.MondeIG;

/**
 * Vue abstraite représentant un arc
 */
public abstract class VueArcIG extends Group {
    protected ArcIG arc;
    protected MondeIG monde;

    /**
     * Constructeur
     * @param arc l'arc à représenter
     * @param monde le monde auquel appartient l'arc
     */
    public VueArcIG(ArcIG arc, MondeIG monde) {
        this.arc = arc;
        this.monde = monde;

        // Ajouter un écouteur de clic pour la sélection
        this.setOnMouseClicked(event -> {
            monde.selectionnerArc(arc);
            event.consume(); // Empêcher la propagation de l'événement
        });

        // Ajouter une classe CSS pour le styling
        this.getStyleClass().add("arc");
    }

    /**
     * Met à jour le style de l'arc en fonction de son état de sélection
     */
    public abstract void mettreAJourStyle();
}
