package twisk.vues;

import javafx.scene.control.Button;
import javafx.scene.control.Tooltip;
import javafx.scene.layout.HBox;
import twisk.modele.MondeIG;

public class VueOutils extends HBox {
    private final MondeIG monde;

    public VueOutils(MondeIG monde) {
        this.monde = monde;

        // Appliquer la classe CSS
        this.getStyleClass().add("outils");

        // Création du bouton pour ajouter une activité
        Button btnAjouterActivite = new Button("+ Activité");
        btnAjouterActivite.getStyleClass().add("bouton");



        // Ajout d'un tooltip
        Tooltip tooltip = new Tooltip("Ajouter une nouvelle activité");
        btnAjouterActivite.setTooltip(tooltip);

        // Ajout de l'écouteur d'événement
        btnAjouterActivite.setOnAction(event -> monde.ajouter("Activite"));

        // Ajout du bouton à la vue
        this.getChildren().add(btnAjouterActivite);
    }
}
